# Programa para sorteio de grupos e apresentadores
# Criar o arquivo de leitura separado por virgulas,
# sendo o primeiro campo o nome do grupo, e os demais campos
# os nomes dos componentes. 
# Podem ser utilizados no maximo 4 componentes por grupo
# 0.1: passando o nome do arquivo como parametro
# #################################################
# Criado por Eduardo Maronas Monks - 2007
# -*- coding: iso-8859-1 -*-

import csv
import random
import time
import sys

# Seleciona elemento
def select2(data):
	if data != []:
		elem = random.choice(data)
		data.remove(elem)
		return elem
	else:
		return None


# Vetor dos grupos
vgrupo=[]
vordem=[]
vapresenta=[]
vescolhido=[]
i=0
j=0
ngrupos=0
arquivo=""
#print sys.argv
if len(sys.argv) != 3:
	print "Uso: sorteador <numero de grupos> <arquivo com os grupos>"
	sys.exit()
	
ngrupos=sys.argv[1]
ngrupos=int(ngrupos)-1
arquivo=sys.argv[2]
#print arquivo,ngrupos

try:
	reader = csv.reader(open(arquivo, "rb"))
except:
	print "Erro na abertura do arquivo!"
	sys.exit()	
for row in reader:
	vapresenta=[]
	grupo, aluno1, aluno2, aluno3, aluno4, = row
	vgrupo.insert(i,grupo)
	vordem.insert(i,i)
	if aluno1 != "":
		vapresenta.insert(i,aluno1)
	if aluno2 != "":	
		vapresenta.insert(i,aluno2)
	if aluno3 != "":
		vapresenta.insert(i,aluno3)
	if aluno4 != "":
		vapresenta.insert(i,aluno4)
	apresenta=select2(vapresenta)
	vescolhido.insert(i,apresenta)
	i=i+1
j=0
print "############################################################################"
print "Ordem          Grupo                           "
print "############################################################################"

for j in range(len(vgrupo)):
	i=select2(vordem)
	# Tempo para a emocao
	time.sleep(1)
	print "(",j,")     ",vgrupo[i],"            ","\nApresentador:",vescolhido[i]
	print "############################################################################"
	# Limite de apresentacoes (5 grupos)
	if j==ngrupos:
		print ""
		print "A partir daqui, estes grupos NAO apresentarao!!!"
		print ""
		print "############################################################################"